package com.mall.member.domain.vo;

import java.util.Date;
import java.math.BigDecimal;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "MemberCollectSubjectVO对象", title = "会员收藏的专题活动", description = "会员收藏的专题活动的VO对象")
public class MemberCollectSubjectVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "subjectId", title = "subject_id")
    private Long subjectId;

    @Schema(name = "subjectName", title = "subject_name")
    private String subjectName;

    @Schema(name = "subjectImg", title = "subject_img")
    private String subjectImg;

    @Schema(name = "subjectUrll", title = "活动url")
    private String subjectUrll;

}

