package com.mall.product.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "AttrAttrgroupRelationDTO对象", title = "属性&属性分组关联", description = "属性&属性分组关联的DTO对象")
public class AttrAttrgroupRelationDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "attrId", title = "属性id")
    private Long attrId;

    @Schema(name = "attrGroupId", title = "属性分组id")
    private Long attrGroupId;

    @Schema(name = "attrSort", title = "属性组内排序")
    private Integer attrSort;

}