package com.mall.product.domain.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
@Schema(name = "SkuSaleAttrValueDTO对象", title = "sku销售属性&值", description = "sku销售属性&值的DTO对象")
public class SkuSaleAttrValueDto {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "skuId", title = "sku_id")
    private Long skuId;

    @Schema(name = "attrId", title = "attr_id")
    private Long attrId;

    @Schema(name = "attrName", title = "销售属性名")
    private String attrName;

    @Schema(name = "attrValue", title = "销售属性值")
    private String attrValue;

    @Schema(name = "attrSort", title = "顺序")
    private Integer attrSort;

}