package com.mall.product.domain.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

@Getter
@Setter
@Accessors(chain = true)
@TableName("pms_spu_info_desc")
@Schema(name = "SpuInfoDesc对象", title = "spu信息介绍", description = "spu信息介绍的实体类对象")
public class SpuInfoDesc {

    @Schema(name = "spuId", title = "商品id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long spuId;

    @Schema(name = "decript", title = "商品介绍")
    private String decript;

}