package com.mall.product.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "ProductAttrValueVO对象", title = "spu属性值", description = "spu属性值的VO对象")
public class ProductAttrValueVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "spuId", title = "商品id")
    private Long spuId;

    @Schema(name = "attrId", title = "属性id")
    private Long attrId;

    @Schema(name = "attrName", title = "属性名")
    private String attrName;

    @Schema(name = "attrValue", title = "属性值")
    private String attrValue;

    @Schema(name = "attrSort", title = "顺序")
    private Integer attrSort;

    @Schema(name = "quickShow", title = "快速展示【是否展示在介绍上；0-否 1-是】")
    private Integer quickShow;

}

