package com.mall.product.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "SkuImagesVO对象", title = "sku图片", description = "sku图片的VO对象")
public class SkuImagesVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "skuId", title = "sku_id")
    private Long skuId;

    @Schema(name = "imgUrl", title = "图片地址")
    private String imgUrl;

    @Schema(name = "imgSort", title = "排序")
    private Integer imgSort;

    @Schema(name = "defaultImg", title = "默认图[0 - 不是默认图，1 - 是默认图]")
    private Integer defaultImg;

}

