package com.mall.product.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "SpuImagesVO对象", title = "spu图片", description = "spu图片的VO对象")
public class SpuImagesVo {

    @Schema(name = "id", title = "id")
    private Long id;

    @Schema(name = "spuId", title = "spu_id")
    private Long spuId;

    @Schema(name = "imgName", title = "图片名")
    private String imgName;

    @Schema(name = "imgUrl", title = "图片地址")
    private String imgUrl;

    @Schema(name = "imgSort", title = "顺序")
    private Integer imgSort;

    @Schema(name = "defaultImg", title = "是否默认图")
    private Integer defaultImg;

}

