package com.mall.product.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "SpuInfoDescVO对象", title = "spu信息介绍", description = "spu信息介绍的VO对象")
public class SpuInfoDescVo {

    @Schema(name = "spuId", title = "商品id")
    private Long spuId;

    @Schema(name = "decript", title = "商品介绍")
    private String decript;

}

