package com.mall.member.domain.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.v3.oas.annotations.media.Schema;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import lombok.EqualsAndHashCode;
import lombok.Getter;
import lombok.Setter;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;
import java.math.BigDecimal;
import java.util.Date;

@Getter
@Setter
@Accessors(chain = true)
@TableName("ums_member_collect_spu")
@Schema(name = "MemberCollectSpu对象", title = "会员收藏的商品", description = "会员收藏的商品的实体类对象")
public class MemberCollectSpu {

    @Schema(name = "id", title = "id")
    @TableId(type = IdType.ASSIGN_ID)
    private Long id;

    @Schema(name = "memberId", title = "会员id")
    private Long memberId;

    @Schema(name = "spuId", title = "spu_id")
    private Long spuId;

    @Schema(name = "spuName", title = "spu_name")
    private String spuName;

    @Schema(name = "spuImg", title = "spu_img")
    private String spuImg;

    @Schema(name = "createTime", title = "create_time")
    private LocalDateTime createTime;

}