package com.mall.order.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.time.LocalDateTime;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "MqMessageVO对象", title = "", description = "的VO对象")
public class MqMessageVo {

    @Schema(name = "messageId", title = "")
    private String messageId;

    @Schema(name = "content", title = "")
    private String content;

    @Schema(name = "toExchane", title = "")
    private String toExchane;

    @Schema(name = "routingKey", title = "")
    private String routingKey;

    @Schema(name = "classType", title = "")
    private String classType;

    @Schema(name = "messageStatus", title = "0-新建 1-已发送 2-错误抵达 3-已抵达")
    private Integer messageStatus;

    @Schema(name = "createTime", title = "")
    private LocalDateTime createTime;

    @Schema(name = "updateTime", title = "")
    private LocalDateTime updateTime;

}
