package com.mall.product.domain.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@Schema(name = "BrandVO对象", title = "品牌", description = "品牌的VO对象")
public class BrandVo {

    @Schema(name = "brandId", title = "品牌id")
    private Long brandId;

    @Schema(name = "name", title = "品牌名")
    private String name;

    @Schema(name = "logo", title = "品牌logo地址")
    private String logo;

    @Schema(name = "descript", title = "介绍")
    private String descript;

    @Schema(name = "showStatus", title = "显示状态[0-不显示；1-显示]")
    private Integer showStatus;

    @Schema(name = "firstLetter", title = "检索首字母")
    private String firstLetter;

    @Schema(name = "sort", title = "排序")
    private Integer sort;

}

